cdc_ether fills kernel log

Bug #1626371 reported by Joel Stanley on 2016-09-22
60
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned
Yakkety
Undecided
Tim Gardner
Zesty
Medium
Unassigned

Bug Description

On my Lenovo X1 4th gen with a dock attached:

[ 1764.086306] cdc_ether 2-4.1.3:2.0 enx0050b6d331fe: kevent 11 may have been dropped
[ 1764.150317] cdc_ether 2-4.1.3:2.0 enx0050b6d331fe: kevent 11 may have been dropped

The USB Ethernet device would warn occasionally under the 4.4 kernel. Under the 4.8 kernel, it spams my kernel log so much that I don't get anything else.

$ uname -a
Linux aurora 4.8.0-11-generic #12-Ubuntu SMP Sat Sep 17 20:00:03 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
joel@aurora ~
$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Yakkety Yak (development branch)
Release: 16.10
Codename: yakkety

CVE References

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1626371

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Joel Stanley (shenki) wrote :
Download full text (6.4 KiB)

The hub is a OneLink+. The USB CDC device is:

$ sudo lsusb -vv -d 17ef:3054
[sudo] password for joel:
Protocol spec without prior Class and Subclass spec at line 13605

Bus 002 Device 004: ID 17ef:3054 Lenovo
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 3.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 9
  idVendor 0x17ef Lenovo
  idProduct 0x3054
  bcdDevice 30.01
  iManufacturer 1 Lenovo
  iProduct 2 OneLink+ Giga
  iSerial 6 00000E000000
  bNumConfigurations 2
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 57
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 64mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 3
      bInterfaceClass 255 Vendor Specific Class
      bInterfaceSubClass 255 Vendor Specific Subclass
      bInterfaceProtocol 0
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 3
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x02 EP 2 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0400 1x 1024 bytes
        bInterval 0
        bMaxBurst 3
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x83 EP 3 IN
        bmAttributes 3
          Transfer Type Interrupt
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0002 1x 2 bytes
        bInterval 8
        bMaxBurst 0
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 98
    bNumInterfaces 2
    bConfigurationValue 2
    iConfiguration 0
    bmAttributes 0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower 64mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 1
      bInterfaceClass 2 Communications
      bInterfaceSubClass 6 Ethernet Networking
   ...

Read more...

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joel Stanley (shenki) wrote :

This out of tree driver suggests it's a RTL8153 device under the covers:

 https://github.com/rickhofstede/linksys_usb3gigv1_linux/

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.8 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
rubin110 (rubin110) wrote :

I'm having the same issue on Debian Sid.

Thinkpad X1 4th gen, OneLink+ Dock
Linux lines 4.8.1-custom01 #1 SMP Fri Oct 7 17:11:08 PDT 2016 x86_64 GNU/Linux

Richard Powell (richard-powell) wrote :

Same issue on yakkety with a Surface USB Ethernet device.

richard@server:~$ uname -a
Linux server 4.8.0-22-generic #24-Ubuntu SMP Sat Oct 8 09:15:00 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

richard@server:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.10
Release: 16.10
Codename: yakkety

Richard Powell (richard-powell) wrote :

Still reproduces in the latest upstream mainline kernel:

richard@server:~$ uname -a
Linux server 4.8.1-040801-generic #201610071031 SMP Fri Oct 7 14:34:10 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
Keith McClelland (zismylaptop) wrote :

I've had the same problem with every 4.8 I tried including the one that is in the brand new Ubuntu 16.10 (4.8.0-22) [via live cd, not installed!]. My computer is a Surface Pro 3 which uses a Marvell chipset in the docking station. I'm pretty sure I have updated to the latest mwifiex in my installed 16.04.

The computer does seem to work, but syslog grows by several lines per second (but now and again it skips a few seconds while it's worrying about a limit and then away it goes again).

darthvader (sarmbruster) wrote :

The problem persists in mainline kernel 4.9-rc2

Juha Jantunen (jantjuha) wrote :

I have Thinkpad 13 and and am suffering from this pretty badly, system is almost unusable :(

$ uname -r
4.8.0-26-generic

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.10
Release: 16.10
Codename: yakkety

These just keep on flooding kern.log:

[ 935.066369] net_ratelimit: 69 callbacks suppressed
[ 935.066383] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped
[ 935.130393] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped
[ 935.194418] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped
[ 935.258393] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped
[ 935.322416] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped
[ 935.386392] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped
[ 935.450411] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped
[ 935.514418] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped
[ 935.578396] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped
[ 935.642399] cdc_ether 2-1.1.3:2.0 enx0050b6d89edd: kevent 11 may have been dropped

Can anyone suggest at least a workaround if proper fix does not yet exist?

knz (knz) wrote :

Reproduces with 4.9.0-997.201611212212 from http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/2016-11-22/ here too.

facing same issue with
Linux kernel 4.8.10-040810-generic on Lenovo carbon x1 + one link dock
also system freezes after sometime, from this only a restart helps

Roli (rndstr) wrote :

Checking in with same issue but on Archlinux (Lenovo X1 Carbon 4th gen + one link dock)

    Linux suihogan 4.8.12-2-ARCH #1 SMP PREEMPT Fri Dec 2 20:17:06 CET 2016 x86_64 GNU/Linux

This was prevalent since first install with kernel 4.4.5

Keith McClelland (zismylaptop) wrote :

Ubuntu added a 4.9.0 kernel yesterday (4.9.0-040900-generic_4.9.0-040900.201612111631_amd64.deb) in the mainline kernel ppa. This kernel does not have the problem on my Surface Pro 3.

Jek (jek) wrote :

For sake of completeness: Me too on kernel 4.8.0-30

$ uname -r
4.8.0-30-generic

$ lsb_release -a
LSB Version: core-9.20160110ubuntu5-amd64:core-9.20160110ubuntu5-noarch:printing-9.20160110ubuntu5-amd64:printing-9.20160110ubuntu5-noarch:security-9.20160110ubuntu5-amd64:security-9.20160110ubuntu5-noarch
Distributor ID: Ubuntu
Description: Ubuntu 16.10
Release: 16.10
Codename: yakkety

It's an USB Gigabit Ethernet Adapter:

kernel: [ 3088.042749] usb 3-3: New USB device found, idVendor=2357, idProduct=0601
kernel: [ 3088.042751] usb 3-3: New USB device strings: Mfr=1, Product=2, SerialNumber=6
kernel: [ 3088.042753] usb 3-3: Product: USB 10/100/1000 LAN
kernel: [ 3088.042754] usb 3-3: Manufacturer: TP-LINK
kernel: [ 3088.042755] usb 3-3: SerialNumber: 000001000000
kernel: [ 3088.043975] cdc_ether 3-3:2.0 eth0: register 'cdc_ether' at usb-0000:00:14.0-3, CDC Ethernet Device, f4:f2:6d:1e:c2:77

Keith McClelland (zismylaptop) wrote :

I've been using the 4.9.0 I mentioned in comment #14 with no trouble at all. There is a new 4.9.0 of about the same date in the drm-intel-next branch that knz tried in comment #11. See if that has the problem fixed. Someone can also try building Linus's 4.9.0 to see if it's a general or Ubuntu resolution.

rubin110 (rubin110) wrote :

This does seem to be fixed with upstream linux from kernel.org, 4.9.0. Can confirm on Debian Sid with a build kernel from the 11th, no more spammy dmesg.

Nico Orrù (nigu-orru) wrote :

Just received my Lenovo X1 Carbon (4th) dock in the post. I get the spam above in dmesg. System is basically usable but logs are noisy.

nico@nico-lenovo-ubuntu:~/PDF$ uname -r
4.8.0-28-lowlatency
nico@nico-lenovo-ubuntu:~/PDF$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 16.10
Release: 16.10
Codename: yakkety

Any chances of seeing this backported to next 4.8.0 (at least for Ubuntu)?

Tim Gardner (timg-tpi) wrote :
Changed in linux (Ubuntu Zesty):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Yakkety):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Luis Henriques (henrix) on 2016-12-19
Changed in linux (Ubuntu Yakkety):
status: In Progress → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'. If the problem still exists, change the tag 'verification-needed-yakkety' to 'verification-failed-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
Keith McClelland (zismylaptop) wrote :

The problem does not occur in Linux version 4.8.0-34-generic (buildd@lcy01-21) from yakkety-proposed. I don't understand the "checkbox-gtk" instruction in the page you reference.

Luis Henriques (henrix) wrote :

As per comment #21 (yakkety kernel in -proposed is 4.8.0-34.36), I'm tagging this bug as verified.

tags: added: verification-done-yakkety
removed: verification-needed-yakkety
Forage (forage) wrote :

I can also confirm that the spam is gone with 4.8.0-34.43 from yakkety-proposed.

Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package linux - 4.8.0-34.36

---------------
linux (4.8.0-34.36) yakkety; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1651800

  * Miscellaneous Ubuntu changes
    - SAUCE: Do not build the xr-usb-serial driver for s390

linux (4.8.0-33.35) yakkety; urgency=low

  [ Thadeu Lima de Souza Cascardo ]

  * Release Tracking Bug
    - LP: #1651721

  [ Luis Henriques ]

  * crypto : tolerate new crypto hardware for z Systems (LP: #1644557)
    - s390/zcrypt: Introduce CEX6 toleration

  * Several new Asus laptops are missing touchpad support (LP: #1650895)
    - HID: asus: Add i2c touchpad support

  * Acer, Inc ID 5986:055a is useless after 14.04.2 installed. (LP: #1433906)
    - uvcvideo: uvc_scan_fallback() for webcams with broken chain

  * cdc_ether fills kernel log (LP: #1626371)
    - cdc_ether: Fix handling connection notification

  * Kernel Fixes to get TCMU File Backed Optical to work (LP: #1646204)
    - SAUCE: target/user: Fix use-after-free of tcmu_cmds if they are expired

  * CVE-2016-9756
    - KVM: x86: drop error recovery in em_jmp_far and em_ret_far

  * On boot excessive number of kworker threads are running (LP: #1649905)
    - slub: move synchronize_sched out of slab_mutex on shrink

  * Ethernet not work after upgrade from kernel 3.19 to 4.4 [10ec:8168]
    (LP: #1648279)
    - ACPI / blacklist: Make Dell Latitude 3350 ethernet work

  * Ubuntu 16.10 netboot install fails with "Oops: Exception in kernel mode,
    sig: 5 [#1] " (lpfc) (LP: #1648873)
    - scsi: lpfc: fix oops/BUG in lpfc_sli_ringtxcmpl_put()

  * CVE-2016-9793
    - net: avoid signed overflows for SO_{SND|RCV}BUFFORCE

  * [Hyper-V] Kernel panic not functional on 32bit Ubuntu 14.10, 15.04, and
    15.10 (LP: #1400319)
    - Drivers: hv: avoid vfree() on crash

  * d-i is missing usb support for platforms that use the xhci-platform driver
    (LP: #1625222)
    - d-i initrd needs additional usb modules to support the merlin platform

  * overlayfs no longer supports nested overlayfs mounts, but there is a fix
    upstream (LP: #1647007)
    - ovl: fix d_real() for stacked fs

  * Yakkety: arm64: CONFIG_ARM64_ERRATUM_845719 isn't enabled (LP: #1647793)
    - [Config] CONFIG_ARM64_ERRATUM_845719=y

  * Ubuntu16.10 - EEH on BELL3 adapter fails to recover (serial/tty)
    (LP: #1646857)
    - serial: 8250_pci: Detach low-level driver during PCI error recovery

  * Driver for Exar USB UART (LP: #1645591)
    - SAUCE: xr-usb-serial: Driver for Exar USB serial ports
    - SAUCE: xr-usb-serial: interface for switching modes
    - SAUCE: cdc-acm: Exclude Exar USB serial ports

  * [Bug] (Purley) x86/hpet: Reduce HPET counter read contention (LP: #1645928)
    - x86/hpet: Reduce HPET counter read contention

  * Need Alps upstream their new touchpad driver (LP: #1571530)
    - Input: ALPS - add touchstick support for SS5 hardware
    - Input: ALPS - handle 0-pressure 1F events
    - Input: ALPS - allow touchsticks to report pressure
    - Input: ALPS - set DualPoint flag for 74 03 28 devices

  * CONFIG_NR_CPUS=256 is too low (LP: #1579205)
    - [Config] Increase the NR_CPUS to 512 for amd64 to support systems with a...

Read more...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers